org.eclipse.viatra.query.patternlanguage.services

## Class PatternLanguageGrammarAccess.CheckConstraintElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.services.PatternLanguageGrammarAccess.CheckConstraintElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    PatternLanguageGrammarAccess

      public class PatternLanguageGrammarAccess.CheckConstraintElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckConstraintElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Action` | `getCheckConstraintAction_0()`
    `org.eclipse.xtext.Keyword` | `getCheckKeyword_1()`
    `org.eclipse.xtext.Assignment` | `getExpressionAssignment_3()`
    `org.eclipse.xtext.RuleCall` | `getExpressionXExpressionParserRuleCall_3_0()`
    `org.eclipse.xtext.Group` | `getGroup()`
    `org.eclipse.xtext.Keyword` | `getLeftParenthesisKeyword_2()`
    `org.eclipse.xtext.Keyword` | `getRightParenthesisKeyword_4()`
    `org.eclipse.xtext.ParserRule` | `getRule()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckConstraintElements

          public CheckConstraintElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getCheckConstraintAction_0

          public org.eclipse.xtext.Action getCheckConstraintAction_0()

    - #### getCheckKeyword_1

          public org.eclipse.xtext.Keyword getCheckKeyword_1()

    - #### getLeftParenthesisKeyword_2

          public org.eclipse.xtext.Keyword getLeftParenthesisKeyword_2()

    - #### getExpressionAssignment_3

          public org.eclipse.xtext.Assignment getExpressionAssignment_3()

    - #### getExpressionXExpressionParserRuleCall_3_0

          public org.eclipse.xtext.RuleCall getExpressionXExpressionParserRuleCall_3_0()

    - #### getRightParenthesisKeyword_4

          public org.eclipse.xtext.Keyword getRightParenthesisKeyword_4()